Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454461 - Review Request: php-pear-Event-Dispatcher - Dispatch notifications using PHP callbacks
Summary: Review Request: php-pear-Event-Dispatcher - Dispatch notifications using PHP ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 457590
TreeView+ depends on / blocked
 
Reported: 2008-07-08 16:42 UTC by Remi Collet
Modified: 2008-09-16 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-16 23:19:24 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2008-07-08 16:42:30 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-Event-Dispatcher.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-Event-Dispatcher-1.0.0-1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/php-pear-Event-Dispatcher-build.log
Description: 

The Event_Dispatcher acts as a notification dispatch table.
It is used to notify other objects of interesting things. This
information is encapsulated in Event_Notification objects. Client
objects register themselves with the Event_Dispatcher as observers of
specific notifications posted by other objects. When an event occurs,
an object posts an appropriate notification to the Event_Dispatcher.
The Event_Dispatcher dispatches a message to each registered
observer, passing the notification as the sole argument.

-- 
rpmlint is silent

This is a quite old extension but it's required by new PHP_CompatInfo (1.8.0)

Comment 1 Jason Tibbitts 2008-08-20 22:51:10 UTC
This is a trivial package; I'm sorry it sat in the queue for so long.

* source files match upstream:
   7018daea9158919c2b2c5117d4b6d54abbd438f4f39530436ab0be331433e171  
   Event_Dispatcher-1.0.0.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream (it's in the actual php files, though).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(Event_Dispatcher) = 1.0.0
   php-pear-Event-Dispatcher = 1.0.0-1.fc10
  =
   /bin/sh
   /usr/bin/pear

* %check is not present; pear module tests can't be run at build time.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Jason Tibbitts 2008-08-20 23:01:18 UTC
Drat, I missed the fact that this package has no runtime dependency on php-pear(PEAR); it doesn't even have a runtime dependency on PHP.

Could you add;
  Requires: php-pear(PEAR)
as mandated by the guidelines (and common sense) before importing?

Comment 3 Remi Collet 2008-08-21 05:55:03 UTC
Thank's for the review

Missing Br fixed
Spec URL: http://remi.fedorapeople.org/php-pear-Event-Dispatcher.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-Event-Dispatcher-1.0.0-2.fc8.src.rpm


New Package CVS Request
=======================
Package Name: php-pear-Event-Dispatcher
Short Description: Dispatch notifications using PHP callbacks
Owners: remi
Branches: F-9 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-08-23 17:52:38 UTC
cvs done.

Comment 5 Fedora Update System 2008-08-28 18:31:21 UTC
php-pear-Event-Dispatcher-1.0.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-pear-Event-Dispatcher-1.0.0-2.fc8

Comment 6 Fedora Update System 2008-09-10 06:55:19 UTC
php-pear-Event-Dispatcher-1.0.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Event-Dispatcher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7743

Comment 7 Fedora Update System 2008-09-10 06:56:07 UTC
php-pear-Event-Dispatcher-1.0.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Event-Dispatcher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7351

Comment 8 Fedora Update System 2008-09-16 23:19:22 UTC
php-pear-Event-Dispatcher-1.0.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-09-16 23:21:38 UTC
php-pear-Event-Dispatcher-1.0.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.